body {
  background-color: #9C835F;
  min-height: 100vh;
}

button:disabled {
  cursor: not-allowed;
  pointer-events: all !important;
}

.name {
  font-style: normal;
  font-weight: bold;
  font-size: 24px;
  line-height: 49px;
  text-align: center;
  letter-spacing: 0.1em;
  text-transform: uppercase;
  color: #000000;
}

.title {
  font-weight: bold;
  font-size: 2.25rem;
  line-height: 49px;
  color: #F9B23D;
}

.inactive {
  height: 100px;
  width: 100px; 
  color: #FFF;
  padding: 12px;
  border-radius: 20px;
}

.isactive {
  height: 100px;
  width: 100px; 
  background: #c4c4c4;
  color: #F00;
  padding: 12px;
  border-radius: 20px;
}
.player {
  .batu, .kertas, .gunting {
    &:hover {
      cursor: pointer;
    }
  }
}
.batu, .kertas, .gunting {
  background-size: 50%;
  background-repeat: no-repeat;
  background-position: center;
}

.batu {
  background-image: url('../assets/batu.png');
}
.kertas {
  background-image: url('../assets/kertas.png');
  
}
.gunting {
  background-image: url('../assets/gunting.png');
  
}

.vs {
  font-style: normal;
  font-weight: bold;
  font-size: 56px;
  text-align: center;
  letter-spacing: 0.1em;
  text-transform: uppercase;
  color: #BD0000;
}

.refresh {
  height: 60px;
  width: 60px;
  margin-right: .5rem;
  border-radius: 5px;
  background-color: #4C9654;
  background-image: url('../assets/refresh.png');
  background-size: 70%;
  background-repeat: no-repeat;
  background-position: center;
  cursor: pointer;
}

#player-score, #comp-score{
  font-size: 40pt;
  font-weight: 700;
}

#versus p {
  left:0;
  -webkit-transition: all 0.5s ease-in-out;
  -moz-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}

.ilang {
  -webkit-transform:scale(1,0);
  -moz-transform:scale(1,0);
  -o-transform:scale(1,0);
  transform:scale(1,0);
  filter: alpha(opacity=0);
  opacity:0;
}

.muncul {
  filter: alpha(opacity=0);
  -webkit-transform:rotate(360deg) scale(0,0);
  -moz-transform:rotate(360deg) scale(0,0);
  -o-transform:rotate(360deg) scale(0,0);
  transform:rotate(360deg) scale(0,0);
}

/* coba */
.win {
  transform: rotate(-27deg);
  background-color: #4C9654;
  text-align: center;
  /* line-height: 150px; */
  padding: 25px 0;
  color: whitesmoke;
  font-weight: 700;
  font-size: 38px;
  border-radius: 10px;
}

.card-deck {
  margin-top: 2rem;
  & .card {
    position: relative;
    display: flex;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #BA9;
    background-clip: border-box;
    border-radius: 10px;

    &:hover {
      cursor: pointer;
    }

    .img-fluid {
      max-width: 100%;
      height: 200px;
  }

    & .card-title {
      font-style: normal;
      font-weight: 700;
      font-size: 20px;
      line-height: 25px;
      text-align: center;
    }
  }

  .starburst {
    display:block;
    width:6em;
    height:6em;
    background:rgba(249, 253, 5, 0.7);
    -webkit-transform:rotate(-45deg);
    -moz-transform:rotate(-45deg);
    rotation:-45deg;
    position:absolute;
    top:2em;
    left:2em;
    text-align:center;
    text-decoration:none;
    color:#000;
    font-weight:bold;
    font-family:Arial, sans-serif;
    z-index: 1;
    box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 1);
    & span {
      display:block;
      width:6em;
      height:6em;
      background:rgba(249, 253, 5, 0.7);
      -webkit-transform:rotate(22.5deg);
      -moz-transform:rotate(22.5deg);
      rotation:22.5deg;
    }
  }
  
  .available {
    & :before {
      content: "";
      z-index: -1;
      overflow: hidden;
      transform: rotate(-135deg);
      width: 110px;
      display: block;
      position: absolute;
      top: 34px;
      right: -16px;
      clip-path: polygon(93px 17px, 62px -13px, 30px -12px, 0px 18px, 10px 35px, 97px 24px);
      height: 20px;
      width: 110px;
    }
    & :after {
      content: "Played";
    z-index: 1;
    overflow: hidden;
    font-size: 10px;
    font-weight: bold;
    color: #FFF;
    text-transform: uppercase;
    text-align: center;
    line-height: 18px;
    transform: rotate(45deg);
    width: 110px;
    display: block;
    background: #79A70A;
    background: linear-gradient(#9BC90D 0%, #79A70A 100%);
    box-shadow: 0 3px 10px -5px black;
    position: absolute;
    top: 22px;
    right: -25px;
    -webkit-clip-path: polygon(93px 17px, 62px -13px, 30px -12px, 0px 18px, 10px 35px, 97px 24px);
    clip-path: polygon(93px 17px, 62px -13px, 30px -12px, 0px 18px, 10px 35px, 97px 24px);
    }
  }
}